# sshd configuration for perfact systems allowing perfact-useradmin

# Managed by Ansible   ---   Do not modify manually!
# generated from custom file
# ./internalit/roles/perfact-login/templates/sshd_config/90-custom.conf

# do not trust ~/.ssh/known_hosts for HostbasedAuthentication
IgnoreUserKnownHosts yes

# disable sftp
#Subsystem       sftp    /bin/none

# force key authentification
ChallengeResponseAuthentication no
PasswordAuthentication no

# no X11
X11Forwarding no

# Allow user only:
AllowGroups perfact root perfact-useradmin

# ALLOW ssh from pf-backup (BackupPC) and phonehome-user pfremote
Match host 192.168.42.100
  PermitRootLogin without-password
  AllowUsers root
Match All
